Data Fields
_PurpleAttentionType Struct Reference

Represents "nudges" and "buzzes" that you may send to a buddy to attract their attention (or vice-versa). More...

`#include <prpl.h>`

## Data Fields
const char * | name
| Shown in GUI elements.
const char * | incoming_description
| Shown when sent.
const char * | outgoing_description
| Shown when receied.
const char * | icon_name
| Icon to display (optional)
const char * | unlocalized_name
| Unlocalized name for UIs needing it.
gpointer | _reserved2
gpointer | _reserved3
gpointer | _reserved4

## Detailed Description

Represents "nudges" and "buzzes" that you may send to a buddy to attract their attention (or vice-versa).

Definition at line 117 of file prpl.h.

The documentation for this struct was generated from the following file:

- prpl.h